分享到           


资讯/同人分享

内容类型 原作讨论
原作名称 Minecraft
转帖来源 -
本帖最后由 紅峽青燦 于 2021-8-3 23:15 编辑
這裡是沉迷MC的青燦(X

今天要來教大家裝正版MC的模組,為甚麼要發這個教程呢?理由有兩個。
1是我看著網路上的教程雖然很多很多,但是實際上照著做之後,並沒有安裝成功!
2是為了.....鼓吹大家都去買正版!(大笑



如果你是第一次安裝正版MC模組的人,可以不必理會我上面的嘮叨,你只要知道,這很簡單就好!
按著我的步驟做,沒有失敗的可能!(如果之後又更新了1.18↑導致這個教程不能用了,不負責哦(O)在開始安裝之前,先講大概念:
首先,MC(minecraft/當個創世神/我的世界)本體和Forge(模組執行程式)和mod(模組)是三個"完全不同"的東西,必須要三者皆備才能執行帶mod的MC遊戲,正版MC是一個完整的遊戲,沒有Forge和mod即可順暢遊玩,Forge是使mod可以結合到MC裡面去的執行部件所以叫做熔爐,而mod則是你希望增加的比MC本體自帶更多的功能。打個比方,MC是槍,Forge是彈匣,mod是子彈,如果想開槍殺人,三者缺一不可,這道裡懂不懂?很簡單吧?

好了,那麼以下開始安裝教程:

1購買MC Java正版並完整下載,以及下載最新的Java並執行安裝,缺乏Java你連正版MC都會跑不順,但我記得正版JavaMC會自帶Java,額外的安裝檢查只是以備不時之。需這兩點如果都搞不定的人,加油,你沒有安裝軟體的才能,請請求外援

2尋找自己打算安裝的mod並且下載,請注意,一個正常的mod下載起來,應該是一個Java檔案,如果是使用模組包的mod,則是多個Java,這些Java無法直接執行,也不需要解壓縮或者被拆開,只要它(解壓後)已經是Java的狀態,就可以先放在旁邊,待會用。

(長這樣,這是DL世界觀模組--老獵人)

3在你下載的mod處,正常都會說明它是屬於哪一個版本的MC,以及它所兼容的Forge是甚麼版本,比如我範例所使用的DL模組,即是MC1.10.2Forge12.18.3.2511,由於正版MC端可以自動降版,因此重要的是Forge的版本,而不是MC的版本,如果你是安裝在正版且有自動更新的MC上,不必理會MC的版本,但如果是盜版......好像有關係,加油,我不會弄

4確認MC和Forge的版本之後,打開Forge網站(https://files.minecraftforge.net/net/minecraftforge/forge/)找到與mod兼容的MC版本,Forge首頁預設就是最新版的,如果你的mod不是最新版,不要下載這個!網路上的有些教程說「Forge跟MC本體一樣可以往下兼容,高版本可以執行低版本的mod因此推薦下載最新版」目前依照我的實測,這是錯的。高版本的正版MC可以向下兼容低版本的Forge,但Forge本身無法與任何非其版本的mod兼容,因此下載與mod兼容版本的Forge才是安裝成功的重點,我不確定是1.17或某版之後的Forge不行還是怎樣,總之不推薦嘗試用更高版本往下執行,成功算你運氣好,不成功,青燦有提醒了哦。

5我知道有人看不懂Forge介面,沒關係,我準備了圖,你只要按照我的指示按就行了


(目前預設的最高MC版本首頁,如果你不是要最高版本,請從左邊的數字中點選你需要的MC版本號,我們的目標是1.10.2)


(點進去後會看到這個畫面,依然只顯示推薦的一個Forge,如果這個版本不是mod完全兼容的版本,就點下面的Show All Versions會顯示所有的Forge,我們的目標就是Forge12.18.3.2511)


(點擊Installer下載,耐心等待右上角的秒數跑完後按skip就會開始下載了,如果顯示對你的電腦有害,不要理它,下就對了。)


(接著右鍵開啟,選擇Install Client注意,我知道很多人會把遊戲存檔另外建立一個資料夾保存,很多教程也會寫這一步是可以自定義路徑的,請不要做這種事,它說要解壓縮到哪裡去就讓它解到那裡,根據我的測試,在這一步更改路徑會造成mods資料夾無法生成!)


6到這裡如果都沒問題的話,你的Forge就已經灌好了,下一步是要讓它和forge結合,生成可供放置mod的資料夾。


(開啟你的MC本體,點選上面的安裝檔,建立一個新的安裝檔)


(可以自定義名稱,在版本的部分拉開選擇和Forge一樣的版本Forge12.18.3.2511,遊戲資料夾不動,建立)


(建立之後按開始遊戲,讓它完整載入並把遊戲打開,注意,這時候還沒有mod,進去遊玩只是一個低版本的MC本體,這個步驟的目的只是為了生成mods資料夾罷了)


(遊戲成功開啟沒有閃退之後,把遊戲關掉,再重開MC本體,再到安裝檔頁面,點選開始遊戲旁邊的資料夾圖示,應該會看到一個名稱為"mods"的資料夾,如果沒有看到,把上面的步驟從第一步開始重做,對,MC卸載重頭再來。)

7把我們在第二步準備好的mod Java檔案直接放進mods資料夾裡,然後開啟遊戲。


(在遊戲起始畫面左下角選擇新增的帶有Forge的安裝檔)


8開啟遊戲之後,大部分的Forge版本如果有正常運作,是可以看到起始畫面有跟純MC不一樣的圖示的。


9接著在遊戲中mods/模組的選項裡,找到放置於mods資料夾中的模組本體,按完成就可以了。


10開心的玩耍吧!

 


快把萌燦抱回家!
笑著坦然展示一身淋漓的鮮血和殺戮的罪孽。心是烈火鑄成的。

拍謝我還沒看完,晚點再仔細研究@@

感謝教學,其實前陣子有看到一些MC的影片阿,我的感想是...挖靠,跟當時張出馬匹時的版本差距真大
根本完全不同的世界,天上天下都一堆有的沒的新玩具,而且那個實況主還用神乎其技的各種操作對付極端危險的各類狀況
裝了模組更是甚麼鬼東西都有,不過不知道穩定性怎麼樣
現在有薪水,其實買正版沒啥難的

不過還在觀望到底要JAVA還是另一個聽說更穩定的版本


【发帖际遇】:火尾-555 走到龙洋城中央广场时见到喝得大醉的羽·凌风正在疯狂撒钱,立刻凑上前,获得了 122F卡币 。

际遇事件仅作娱乐,正式设定请见【DL故事集】

TOP


正版不貴啊,800元而已,我覺得很值得,因為我玩到FGO斷登

模組一般都滿穩定的,bug也是有就有沒有就沒有。
我個人比較推薦JAVA,一是因為JAVA的模組更多,基岩版據說基本不存在模組。
而且基岩板其實是被微軟吸收後的東西,在合成表和某些遊戲內生物的機制上和JAVA不一樣,
我是覺得一樣的錢JAVA能玩到的比較多,有模組有雲端伺服器,對,一般線上的多人伺服器都是給JAVA用的,
基岩板的限制比較多,載入也比較慢,我朋友玩基岩玩了一陣子之後為了跟大家一起玩,又買了JAVA。

快把萌燦抱回家!
笑著坦然展示一身淋漓的鮮血和殺戮的罪孽。心是烈火鑄成的。

TOP


昨天搞了2小時總算成功讓Forge運作了,也成功生成mod資料夾
不過幹我這個白癡先安裝了1.17版本的Forge

後來雖然也裝了1.10版做切換使用,不過用1.10版開啟的遊戲就是沒有mod可以選
八成要全部刪除才有辦法只用單純的1.10版去追蹤mod

如果還有其他同學要研究用Forge玩mod,請直接裝mod對應的Forge版本
就算裝了複數版本的Forge,他只會以最新版去追蹤mod資料夾

然後1.17的Forge不能使用老臘入模組,會爆炸


總之...總之,先體驗一下原版\1.17的世界
挖賽...這些年麥快的變化可真劇烈,當初只玩到貓咪剛出現的版本
現在不管地形地物還是生物都變得非常豐富,而且我還在剛出生的第一個叢林生態系而已
然後現在的生態系有夠大...爬到樹頂四周的地平線全部都是叢林
自然洞窟變得相當狹長,不時還會混著地下水脈,探索起來真的很有意思
很久沒有這種充滿未知及無法預測的感覺了

TOP


後來雖然也裝了1.10版做切換使用,不過用1.10版開啟的遊戲就是沒有mod可以選
八成要全部刪除才有辦法只用單純的1.10版去追蹤mod

我推薦有喜歡的mod再去裝forge,因為forge真的頗麻煩。

如果還有其他同學要研究用Forge玩mod,請直接裝mod對應的Forge版本

是的WWWWWWWWWWWWWW我不是說了嗎?
"網路上的有些教程說「Forge跟MC本體一樣可以往下兼容,高版本可以執行低版本的mod因此推薦下載最新版」目前依照我的實測,這是錯的。高版本的正版MC可以向下兼容低版本的Forge,但Forge本身無法與任何非其版本的mod兼容,因此下載與mod兼容版本的Forge才是安裝成功的重點"火尾你是不是沒有仔細看說明文
所以你當然不能用1.17玩老獵人,因為老獵人就不是1.17WWWWWWWWWWWW

這些年麥快的變化可真劇烈

沒錯!現在的MC甚至不需要mod本身的可玩性就已經超級高了WWWWWWWWWWW

快把萌燦抱回家!
笑著坦然展示一身淋漓的鮮血和殺戮的罪孽。心是烈火鑄成的。

TOP

分享到